
Infrastructure - Bug #6011

Synchronization fails from max_syncobjectqueue_size

2014-07-30 06:00 - Robert Waltz

Status: New Start date: 2014-07-31

Priority: Normal Due date: 2014-11-20

Assignee: Robert Waltz % Done: 0%

Category: d1_synchronization Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

After the upgrade to Java7, I began seeing the following messages in the logs:

[DEBUG] 2014-07-28 09:07:31,559 (ObjectListHarvestTask:call:162) Sleeping for 5

secs. hzSyncObjectQueue has 50000 # of objects.

The SyncObjectTask thread appeared to have stopped running.  Dyrad during this time has been sending back records to listObjects

even when there were none to process each time synchronization ran. 

It is possible that there is a bug in the way that hazelcasts IQueue IQueue.size() method tracks the number of records on the queue.

Or there might be an Exception in SyncObjectTask that I have not discovered an Exception/trace for in the log files

Subtasks:

Task # 6021: Splunk will need to monitor Synchronize Closed

History

#1 - 2014-07-31 19:15 - Robert Waltz

- Product Version changed from 1.4.0 to *

#2 - 2014-09-24 18:27 - Robert Waltz

- Target version changed from 2014.30-Block.4.3 to CCI-1.4.2

- Due date changed from 2014-08-02 to 2014-09-24

#3 - 2014-10-02 19:34 - Robert Waltz

- Target version changed from CCI-1.4.2 to CCI-1.4.1

- Due date changed from 2014-09-24 to 2014-10-02

#4 - 2014-10-21 16:21 - Dave Vieglais

- Target version changed from CCI-1.4.1 to CCI-1.5.0

- Due date changed from 2014-10-02 to 2014-10-21

#5 - 2014-11-20 21:47 - Robert Waltz

- Due date changed from 2014-10-21 to 2014-11-20

- Target version changed from CCI-1.5.0 to CCI-1.5.1

#6 - 2015-05-13 19:03 - Dave Vieglais

- Target version changed from CCI-1.5.1 to CCI-1.5.2

#7 - 2015-06-18 17:51 - Skye Roseboom

- Target version changed from CCI-1.5.2 to CCI-1.5.3
#8 - 2016-01-05 17:52 - Robert Waltz

- Milestone changed from CCI-1.4 to None

- Target version deleted (CCI-1.5.3)
